/*
 * Execute the filter program starting at pc on the packet p
 * wirelen is the length of the original packet (totlen)
 * buflen is the amount of data present (caplen)
 *
 * CoralReef modification:
 * Returns -1 if expression requires data past buflen but within wirelen.
 */
unsigned crl_bpf_filter(
	register struct bpf_insn *pc,
	register const unsigned char *p,
	unsigned wirelen,
	register unsigned buflen,
	register int *errp);

#define CRL_BPF_ERR_CAPLEN  1	/* packet might pass if buflen were longer */
